This site uses cookies. By continuing to browse the site you are agreeing to our use of cookies. Read our privacy policy >

Security Advisory - Buffer Error Vulnerability in Some Huawei Products

  • SA No:huawei-sa-20200102-01-buffer
  • Initial Release Date: Jan 02, 2020
  • Last Release Date: Jan 02, 2020

There is a buffer error vulnerability in some Huawei products. An unauthenticated, remote attacker could send specific MPLS Echo Request messages to the target products. Due to insufficient input validation of some parameters in the messages, successful exploit may cause the device to reset. (Vulnerability ID: HWPSIRT-2019-04074)

This vulnerability has been assigned a Common Vulnerabilities and Exposures (CVE) ID: CVE-2019-5304.

Huawei has released software updates to fix this vulnerability. This advisory is available at the following link:

http://www.huawei.com/en/psirt/security-advisories/huawei-sa-20200102-01-buffer-en


Product Name

Affected Version

Resolved Product and Version

AR120-S

V200R006C10

Upgrade to V200R009C00SPC500

V200R007C00

V200R008C20

V200R008C50

AR1200

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR1200-S

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR150

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR150-S

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR160

V200R005C20

Upgrade to V200R009C00SPC500

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR200

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR200-S

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR2200

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR2200-S

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R008C20

V200R008C50

AR3200

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

AR3600

V200R006C10

Upgrade to V200R009C00SPC500

V200R007C00

V200R008C20

V200R008C50

IPS Module

V500R001C20

Upgrade to V500R002C00SPC200

V500R001C30

NGFW Module

V500R001C20

Upgrade to V500R002C00SPC200

V500R002C00

V500R002C00SPC200

NIP6300

V500R001C20

Upgrade to V500R002C00SPC200

V500R001C30

NIP6600

V500R001C20

Upgrade to V500R002C00SPC200

V500R001C30

NetEngine16EX

V200R005C20

Upgrade to V200R009C00SPC500

V200R006C10

V200R007C00

V200R008C20

V200R008C50

S5700

V200R005C00

Upgrade to V200R011C10

V200R005C02

V200R005C03

V200R006C00

V200R007C00

V200R008C00

V200R010C00

V200R011C00

S6700

V200R005C00

Upgrade to V200R011C10

V200R005C01

V200R005C02

V200R008C00

V200R010C00

V200R011C00

SRG1300

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

SRG2300

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

SRG3300

V200R003C01

Upgrade to V200R009C00SPC500

V200R005C20

V200R006C10

V200R007C00

V200R008C20

V200R008C50

Secospace AntiDDoS8000

V500R001C20

Upgrade to V500R005C00SPC300

V500R001C60

V500R005C00

V500R005C00SPC300

Secospace USG6300

V500R001C20

Upgrade to V500R002C00SPC200

V500R001C30

Secospace USG6500

V500R001C20

Upgrade to V500R002C00SPC200

V500R001C30

Secospace USG6600

V500R001C20

Upgrade to V500R005C00SPC200

V500R001C30



Successful exploit may cause the device to reset.


The vulnerability classification has been performed by using the CVSSv3 scoring system (http://www.first.org/cvss/specification-document).

Base Score: 7.5 (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)

Temporal Score: 7.0 (E:F/RL:O/RC:C)

Overall Score: 7.0


This vulnerability can be exploited only when the following conditions are present:

1. An attacker gains the access of the affected products.

2. MPLS is used in the products.

Vulnerability details:

There is a buffer error vulnerability in some Huawei products. An unauthenticated, remote attacker could send specific MPLS Echo Request messages to the target products. Due to insufficient input validation of some parameters in the messages, successful exploit may cause the device to reset.


Customers should contact Huawei TAC (Huawei Technical Assistance Center) to request the upgrades. For TAC contact information, please refer to Huawei worldwide website at http://www.huawei.com/en/psirt/report-vulnerabilities.

This vulnerability was discovered by Huawei internal tester.


2020-01-02 V1.0 INITIAL


Huawei adheres to protecting the ultimate interests of users with best efforts and the principle of responsible disclosure and deal with product security issues through our response mechanism.

To enjoy Huawei PSIRT services and obtain Huawei product vulnerability information, please visit http://www.huawei.com/en/psirt.

To report a security vulnerability in Huawei products and solutions, please send it to PSIRT@huawei.com. For details, please visit http://www.huawei.com/en/psirt/report-vulnerabilities.

This document is provided on an "AS IS" basis and does not imply any kind of guarantee or warranty, either express or implied, including the warranties of merchantability or fitness for a particular purpose. In no event shall Huawei or any of its directly or indirectly controlled subsidiaries or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages. Your use of the document, by whatsoever means, will be totally at your own risk. Huawei is entitled to amend or update this document from time to time.